#!/bin/sh
#
# set resolution and OS for fvwm "Test (x ....) statements
# should also be added to ~/.xsession and/or ~/.xinitrc
#

export HTHEME=$HOME/.fvwm/cde


if [ -d "$HTHEME/resolution" ]; then

    export JMC_XRESOLUTION=`xrandr | grep '*'|awk '{print $1}' | head -n 1`

    if [ "$OS" = "" ]; then
	export OS=`uname -s`
    fi

    find $HTHEME/resolution -type f -exec rm '{}' \;

cat << EOF > $HTHEME/resolution/$JMC_XRESOLUTION
#!/bin/sh
echo $JMC_XRESOLUTION
exit 0
EOF

cat << EOF > $HTHEME/resolution/$OS
#!/bin/sh
echo $OS
exit 0
EOF


    chmod 755 $HTHEME/resolution/$JMC_XRESOLUTION \
              $HTHEME/resolution/$OS

fi

